Upgrading and restoring agents (McAfee ePO On-Premises)

If you have an older version of the agent installed in your environment, you can upgrade to the latest version when you install the latest version of McAfee ePO.

Periodically, McAfee releases newer versions of the agent that can be deployed and managed using McAfee ePO. When the agent installation package and the extension are available, you can download it from the McAfee download site or the Software Catalog (or Software Manager on McAfee ePO 5.9 or earlier) . Check in the installation package to the Master Repository and install the new extension, then use the Product Deployment task to upgrade McAfee Agent.

Note: It is not mandatory to update McAfee Agent key updater when you upgrade McAfee Agent to a new version. If needed, run the agent key updater task to get new keys.

You can create a customized McAfee Smart Installer to upgrade McAfee Agent on the client systems.

You can upgrade from McAfee Agent 4.6.x or 4.8.x to 5.0.0.

Note: If you're using McAfee Agent 4.5.x or an earlier version, upgrade to 4.6.x or 4.8.x, then upgrade to 5.0.0. For details about upgrading McAfee Agent to version 5.5.1 or later, see KB90642.

Upgrading the DXL client

The DXL client automatically upgrades when the agent is upgraded.

Consider the following scenarios when upgrading the DXL client:

  • When you upgrade the agent on the system where the agent is already present and the DXL client is absent, the agent upgrades and the DXL client gets installed.
  • When you upgrade the agent on the system where the agent and the DXL client are already present, the agent and the DXL client are upgraded. Old DXL services are removed and DXL services run as part of McAfee Agent services.
  • When you upgrade the agent on an unmanaged system, the DXL client is in idle state.

Note: If you are upgrading McAfee Agent on a Microsoft Windows system that has a DXL client version older than 2.1.0 (not including 2.1.0), you must first upgrade the DXL client to any DXL version between 2.1.0 and 4.1.0 before upgrading the McAfee Agent. This does not apply to non-Windows systems.